class Dictionary {
  constructor() {
    this.WX_RESULT_MAP = {
      // "NO_AUTH": "没有该接口权限",
      "AMOUNT_LIMIT": "金额超限",
      "PARAM_ERROR": "参数错误",
      "OPENID_ERROR": "Openid错误",
      "SEND_FAILED": "哎呀，出错了，从新获取二维码领取试试吧~",
      "NOTENOUGH": "抱歉，商户余额不足，请联系您的客户经理",
      "SYSTEMERROR": "哎呀，微信出错了，重新获取二维码领取试试吧",
      "NAME_MISMATCH": "填写身份信息与微信实名信息不一致",
      "SIGN_ERROR": "签名错误",
      "XML_ERROR": "Post内容出错",
      "FATAL_ERROR": "两次请求参数不一致",
      "FREQ_LIMIT": "超过频率限制，请稍后再试。",
      "MONEY_LIMIT": "今日奖励领取额度已达上限5000元",
      "CA_ERROR": "商户API证书校验出错",
      "V2_ACCOUNT_SIMPLE_BAN": "微信未实名认证，请实名后领取",
      "PARAM_IS_NOT_UTF8": "请求参数中包含非utf8编码字符",
      "SENDNUM_LIMIT": "没有该接口权限",
      "RECV_ACCOUNT_NOT_ALLOWED": "收款账户不在收款账户列表",
      "PAY_CHANNEL_NOT_ALLOWED": "本商户号未配置API发起能力",
      "报文请求异常": "哎呀，微信出错了，重新获取二维码领取试试吧",
      "银行客户端异常": "哎呀，微信出错了，重新获取二维码领取试试吧",
      "系统内部错误": "哎呀，微信出错了，重新获取二维码领取试试吧",
    };
  }

  getDic(dicName) {
    if (!dicName) {
      return;
    }
    let _dic = this[dicName];
    let dic = {};

    for (let k in _dic) {
      dic[k] = _dic[k];
    }
    return dic;
  }
}

module.exports = Dictionary;
